<?php

class FirstDataErrorModuleFrontController extends ModuleFrontController
{

	public function init()
	{
		parent::init();
		$context = Context::getContext();
		$url = null;

		if(isset($_GET['oid'])) {
		    $order_col = Order::getByReference($_GET['oid']);
		    $order = $order_col->getFirst();
			$customer = new Customer($order->id_customer);

			$url = $context->link->getPageLink('order-confirmation', null, null, [
				'id_cart'	=> $order->id_cart,
				'id_order'	=> $order->id,
				'id_module'	=> $this->module->id,
				'result'	=> 'error',
				'key'		=> $customer->secure_key,
				'control'	=> md5($order->id . $this->module->getSharedKey())
			]);
		}
		else {
			$url = $context->link->getPageLink('index');
		}

		Tools::redirect($url);
	}
	
}
