
function testFirstdataCN() {
    jQuery('#firstdata_card_num_err').html('');
    var n = jQuery('#firstdata_card_cardnumber2').val();
    n = n.replace(/\s+/g, '');
    if(n.match(/^[0-9]+$/) != null) {
        jQuery('#firstdata_card_cardnumber').val(n);
        if(n.length >= 16)
            jQuery('#firstdata_card_cardnumber2').val(n.substr(0, 4) + ' ' + n.substr(4, 4) + ' ' + n.substr(8, 4) + ' ' + n.substr(12));
        return true;
    }
    jQuery('#firstdata_card_num_err').html(firstdata_err1);
    return false;
}

function testFirstdataExp1() {
    jQuery('#firstdata_card_exp_err').html('');
    var n = jQuery('#firstdata_card_expmonth').val();
    if(n.match(/^[0-9]+$/) != null) return true;
    jQuery('#firstdata_card_exp_err').html(firstdata_err1);
    return false;
}

function testFirstdataExp2() {
    jQuery('#firstdata_card_exp_err').html('');
    var n = jQuery('#firstdata_card_expyear').val();
    if(n.match(/^[0-9]+$/) != null) return true;
    jQuery('#firstdata_card_exp_err').html(firstdata_err1);
    return false;
}

function testFirstdataExp() {
    jQuery('#firstdata_card_exp_err').html('');
    var m = jQuery('#firstdata_card_expmonth').val();
    var y = jQuery('#firstdata_card_expyear').val();
    var d = new Date();
    var cy = d.getFullYear() - 2000;
    var cm = d.getMonth() + 1;
    
    if((m < 1) || (m > 12)) {
        jQuery('#firstdata_card_exp_err').html(firstdata_err2);
        return false;
    }
    if((y < cy) || (y > cy + 20)) {
        jQuery('#firstdata_card_exp_err').html(firstdata_err3);
        return false;
    }
    if((y == cy) && (m < cm)) {
        jQuery('#firstdata_card_exp_err').html(firstdata_err4);
        return false;
    }
    
    if(m < 10) jQuery('#firstdata_card_expmonth').val('0' + m);
    return true;
}

function testFirstdataCvm() {
    jQuery('#firstdata_card_cvm_err').html('');
    var n = jQuery('#firstdata_card_cardcvm').val();
    if(n.match(/^[0-9]+$/) != null) return true;
    jQuery('#firstdata_card_cvm_err').html(firstdata_err1);
    return false;
}

jQuery(document).ready(function(){

    jQuery('#firstdata_card_cardnumber2').change(function() {
        testFirstdataCN();
    });

    jQuery('#firstdata_card_expmonth').change(function() {
        if(testFirstdataExp1() && (jQuery('#firstdata_card_expyear').val() != ''))
            testFirstdataExp();
    });

    jQuery('#firstdata_card_expyear').change(function() {
        if(testFirstdataExp2())
            testFirstdataExp();
    });

    jQuery('#firstdata_card_cardcvm').change(function() {
        testFirstdataCvm();
    });

    jQuery('#firstdata_payment_form').submit(function(event) {
        if(!testFirstdataCN()) return false;
        if(!testFirstdataExp()) return false;
        if(!testFirstdataExp2()) return false;
        if(!testFirstdataCvm()) return false;
        //jQuery('#firstdata_card_cardnumber2').val('');
    });

});
